Package org.drinkless.tdlib

# Class TdApi.PublicPostSearchLimits

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.PublicPostSearchLimits

Enclosing class:
  `TdApi`

public static class TdApi.PublicPostSearchLimits extends TdApi.Object
Contains information about public post search limits.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `int`
  `dailyFreeQueryCount`
  Number of queries that can be sent daily for free.
  `boolean`
  `isCurrentQueryFree`
  True, if the search for the specified query isn't charged.
  `int`
  `nextFreeQueryIn`
  Amount of time till the next free query can be sent; 0 if it can be sent now.
  `int`
  `remainingFreeQueryCount`
  Number of remaining free queries today.
  `long`
  `starCount`
  Number of Telegram Stars that must be paid for each non-free query.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PublicPostSearchLimits()`
  Contains information about public post search limits.
  `PublicPostSearchLimits(int dailyFreeQueryCount, int remainingFreeQueryCount, int nextFreeQueryIn, long starCount, boolean isCurrentQueryFree)`
  Contains information about public post search limits.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### dailyFreeQueryCount

    public int dailyFreeQueryCount
    Number of queries that can be sent daily for free.

  - ### remainingFreeQueryCount

    public int remainingFreeQueryCount
    Number of remaining free queries today.

  - ### nextFreeQueryIn

    public int nextFreeQueryIn
    Amount of time till the next free query can be sent; 0 if it can be sent now.

  - ### starCount

    public long starCount
    Number of Telegram Stars that must be paid for each non-free query.

  - ### isCurrentQueryFree

    public boolean isCurrentQueryFree
    True, if the search for the specified query isn't charged.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### PublicPostSearchLimits

    public PublicPostSearchLimits()
    Contains information about public post search limits.

  - ### PublicPostSearchLimits

    public PublicPostSearchLimits(int dailyFreeQueryCount, int remainingFreeQueryCount, int nextFreeQueryIn, long starCount, boolean isCurrentQueryFree)
    Contains information about public post search limits.
    Parameters:
      `dailyFreeQueryCount` - Number of queries that can be sent daily for free.
      `remainingFreeQueryCount` - Number of remaining free queries today.
      `nextFreeQueryIn` - Amount of time till the next free query can be sent; 0 if it can be sent now.
      `starCount` - Number of Telegram Stars that must be paid for each non-free query.
      `isCurrentQueryFree` - True, if the search for the specified query isn't charged.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Object`
    Returns:
      this.CONSTRUCTOR